Bug 529301 - i915 kernel errors hours after restoring from sleep state
Summary: i915 kernel errors hours after restoring from sleep state
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_945GM
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-16 03:27 UTC by Jason Haar
Modified: 2018-04-11 07:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:28:00 UTC
Type: ---


Attachments (Terms of Use)
crash dump within Xorg.0.log (7.42 KB, application/x-gzip)
2009-11-12 19:13 UTC, Jason Haar
no flags Details
uncompressed /var/log/Xorg.0.log (161.53 KB, text/plain)
2009-11-16 01:45 UTC, Matěj Cepl
no flags Details

Description Jason Haar 2009-10-16 03:27:13 UTC
Description of problem:

I'm running F11 on a Dell D430 and if I leave it running for weeks it is rock solid. However, if I close the lid and "sleep" it (not hibernate to disk), and restore it, then some time later (hours to days) a i910 kernel error occurs and the display becomes non-responsive. The mouse still moves around the screen, but cannot do anything, nor does the keyboard work (eg Ctrl-Alt-F2 doesn't work). I can remotely log in just fine - chvt doesn't work - nothing involving the screen works. "init 3" (remotely) doesn't even clear the screen - only a full reboot will restore the system

Version-Release number of selected component (if applicable):

kernel-PAE-2.6.30.8-64.fc11.i686
xorg-x11-server-Xorg-1.6.4-0.1.fc11.i586

How reproducible:

Always. This has been an issue ever since installing F11 - which I did within a week of its release. No upgrade appears to have fixed this problem so far

Steps to Reproduce:
1. sleep laptop
2. restore
3. use for 1-50 hours
4. 
  
Actual results:

 screen "freezes"

Expected results:

screen remain usable

Additional info:

The following *sometimes* shows up in syslog at the time the issue occurs:

Oct 15 20:35:09 tnz-jhaar-dell kernel: INFO: task events/0:9 blocked for more than 120 seconds.
Oct 15 20:35:09 tnz-jhaar-dell kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Oct 15 20:35:09 tnz-jhaar-dell kernel: events/0      D 00005272     0     9      2
Oct 15 20:35:09 tnz-jhaar-dell kernel: f7097f2c 00000046 7df770bc 00005272 c09b9800 f70a0294 c09b5e84 f70a0294
Oct 15 20:35:09 tnz-jhaar-dell kernel: c2000838 f7097f04 c0429db1 f70a0000 00000000 f7097f20 c09b9800 00000000
Oct 15 20:35:09 tnz-jhaar-dell kernel: 00005272 f70a0000 c0432a58 00000000 eb401c00 eb401c00 f73d7014 f70a0000
Oct 15 20:35:09 tnz-jhaar-dell kernel: Call Trace:
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c0429db1>] ? set_next_entity+0xa0/0x10c
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c0432a58>] ? finish_task_switch+0x98/0xb3
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c073bef9>] __mutex_lock_common+0xde/0x12d
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c073bf5f>] __mutex_lock_slowpath+0x17/0x1a
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c073c048>] ? mutex_lock+0x2e/0x3c
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c073c048>] mutex_lock+0x2e/0x3c
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c073cfc1>] ? _spin_unlock_irqrestore+0x20/0x32
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<f81e3cfe>] i915_gem_retire_work_handler+0x29/0x60 [i915]
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c04442f5>] worker_thread+0x147/0x1cc
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<f81e3cd5>] ? i915_gem_retire_work_handler+0x0/0x60 [i915]
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c044763d>] ? autoremove_wake_function+0x0/0x34
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c04441ae>] ? worker_thread+0x0/0x1cc
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c0447345>] kthread+0x4b/0x6f
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c04472fa>] ? kthread+0x0/0x6f
Oct 15 20:35:09 tnz-jhaar-dell kernel: [<c0408fc3>] kernel_thread_helper+0x7/0x10

Comment 1 Vedran Miletić 2009-11-01 12:33:37 UTC
Reporter, can you upgrade to Fedora 12 Beta or Rawhide and see if this is still the case. Intel driver and it's kernel part had lots of changes since.

Comment 2 Jason Haar 2009-11-12 19:12:49 UTC
I've reinstalled (ie not upgraded - full reinstall) my affected Dell D430 laptop with F12beta2 - after the first update /etc/redhat-release reports Constantine - so maybe it's RC now. Anyway, it's totally up-to-date via yum (and rebooted) as of yesterday. 

Just now the same problem occurred - the screen froze. I couldn't get any response from Xwindows - but the mouse still worked. I ssh'ed in remotely and saved /var/log/Xorg.0.log and then killed the Xorg process. It didn't help - ended up with a blank screen and a non-responsive mouse. I had to reboot to get monitor to work again.

Attached is the Xorg.0.log file - you can see a crash dump at the end

xorg-x11-drv-intel-2.9.1-1.fc12
kernel-PAE-2.6.31.5-127.fc12.i686
xorg-x11-server-Xorg-1.7.1-6.fc12.i686

Comment 3 Jason Haar 2009-11-12 19:13:44 UTC
Created attachment 369300 [details]
crash dump within Xorg.0.log

Comment 4 Vedran Miletić 2009-11-12 19:21:21 UTC
Ok, thanks for reporting back. Updating version, and putting into Intel component.

Comment 5 Matěj Cepl 2009-11-16 01:45:11 UTC
Created attachment 369633 [details]
uncompressed /var/log/Xorg.0.log

Comment 6 Matěj Cepl 2009-11-16 01:46:35 UTC
You've got him!

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e587c]
1: /usr/bin/Xorg (mieqEnqueue+0x1b7) [0x80e51a7]
2: /usr/bin/Xorg (xf86PostMotionEventP+0xd4) [0x80bf8a4]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fe000+0x3172) [0x801172]
4: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fe000+0x3466) [0x801466]
5: /usr/bin/Xorg (0x8047000+0x6b1f0) [0x80b21f0]
6: /usr/bin/Xorg (0x8047000+0x11ed24) [0x8165d24]
7: (vdso) (__kernel_sigreturn+0x0) [0x5fc400]
8: (vdso) (__kernel_vsyscall+0x10) [0x5fc424]
9: /lib/libc.so.6 (ioctl+0x19) [0x279e39]
10: /usr/lib/libdrm_intel.so.1 (drm_intel_gem_bo_map_gtt+0x7a) [0x4662da]
11: /usr/lib/xorg/modules/drivers/intel_drv.so (0x49c000+0x3e6ad) [0x4da6ad]
12: /usr/lib/xorg/modules/drivers/intel_drv.so (0x49c000+0x53de5) [0x4efde5]
13: /usr/lib/xorg/modules/drivers/intel_drv.so (0x49c000+0x55efb) [0x4f1efb]
14: /usr/bin/Xorg (miCopyRegion+0x213) [0x8196a93]
15: /usr/bin/Xorg (miDoCopy+0x44d) [0x8196fbd]
16: /usr/lib/xorg/modules/drivers/intel_drv.so (0x49c000+0x55b49) [0x4f1b49]
17: /usr/lib/xorg/modules/drivers/intel_drv.so (0x49c000+0x56ca3) [0x4f2ca3]
18: /usr/lib/xorg/modules/drivers/intel_drv.so (0x49c000+0x57259) [0x4f3259]
19: /usr/bin/Xorg (0x8047000+0xd4cd5) [0x811bcd5]
20: /usr/bin/Xorg (CompositeGlyphs+0xa7) [0x81b3bb7]
21: /usr/bin/Xorg (0x8047000+0xcf10f) [0x811610f]
22: /usr/bin/Xorg (0x8047000+0xcacb4) [0x8111cb4]
23: /usr/bin/Xorg (0x8047000+0x271f7) [0x806e1f7]
24: /usr/bin/Xorg (0x8047000+0x1b8c5) [0x80628c5]
25: /lib/libc.so.6 (__libc_start_main+0xe6) [0x1bebb6]
26: /usr/bin/Xorg (0x8047000+0x1b4b1) [0x80624b1]

Comment 7 Richard Schwarting 2009-12-09 22:32:05 UTC
Is this a duplicate of bug 464866?

Comment 8 Bug Zapper 2010-11-04 09:25:32 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-04 07:28:00 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.